package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.ConsumeElectricDao;
import com.huimv.management.entity.ConsumeElectricEntity;
import com.huimv.management.service.ConsumeElectricService;

/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-12 17:31:40
 */
@Service("consumeElectricService")
public class ConsumeElectricServiceImpl extends ServiceImpl<ConsumeElectricDao, ConsumeElectricEntity> implements ConsumeElectricService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<ConsumeElectricEntity> page = this.page(
                new Query<ConsumeElectricEntity>().getPage(params),
                new QueryWrapper<ConsumeElectricEntity>()
        );

        return new PageUtils(page);
    }

}