package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.ConsumeWarterDao;
import com.huimv.management.entity.ConsumeWarterEntity;
import com.huimv.management.service.ConsumeWarterService;

/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-12 17:31:40
 */
@Service("consumeWarterService")
public class ConsumeWarterServiceImpl extends ServiceImpl<ConsumeWarterDao, ConsumeWarterEntity> implements ConsumeWarterService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<ConsumeWarterEntity> page = this.page(
                new Query<ConsumeWarterEntity>().getPage(params),
                new QueryWrapper<ConsumeWarterEntity>()
        );

        return new PageUtils(page);
    }

}