package com.huimv.apiservice.dao;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.apiservice.entity.EartagDataEntity;
import com.huimv.apiservice.entity.FeedRecordEntity;
import com.huimv.apiservice.entity.vo.FeedRecordVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 饲喂记录
 * </p>
 *
 * @author yinhao
 * @date 2021/7/21 13:51
 */
@Mapper
@Repository
public interface FeedRecordDao extends BaseMapper<FeedRecordEntity> {


    void batchInsertData(List<FeedRecordEntity> feedRecordEntities);

    List<FeedRecordEntity> select(@Param("ew") LambdaQueryWrapper ew);

    List<FeedRecordVo> queryFeedRecords(@Param(Constants.WRAPPER) Wrapper ew);
}
