package com.huimv.apiservice.entity.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 环境数据VO
 * </p>
 *
 * @author yinhao
 * @date 2021/5/10 17:18
 */
@Data
public class EnvVo implements Serializable {

    private static final long serialVersionUID = -3339486812231874599L;
    /**
     * 耳标号
     */
    private String pigEarTagNo;

    /**
     * 日期
     */
    private String date;

    /**
     * 室内环境
     */
    private IndoorEnvVo indoorEnv;

    /**
     * 室外环境
     */
    private List<OutdoorEnvVo> outdoorEnvList;
}
