package com.huimv.apiservice.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 室内环境VO
 * </p>
 *
 * @author yinhao
 * @date 2021/5/10 17:19
 */
@Data
public class IndoorEnvVo {

    /**
     * 温度
     */
    private List<ValueVo> temperatureList;

    /**
     * 湿度
     */
    private List<ValueVo> humidityList;

    /**
     * 气体
     */
    private List<ValueVo> gasList;
}
