package com.huimv.datacollection.constant;

/**
 * 系统应用相关常量
 * 
 * @author hongjun.hu
 * @version 1.0
 * @history
 */
public interface XtAppConstant {
	public static final Integer PAGE_SIZE = 10;		// 翻页数
	
	public static final Integer ZFBZ_VALID = 0;		// 作废标识 有效
	public static final Integer ZFBZ_INVALID = 1;	// 作废标识 无效
	
	public static final Integer KQBZ_VALID = 1;	// 开启标识 开启
	
	public static final String MCZS_CDZS = "1,2"; 	//普通猪舍和测定猪舍
	public static final String MCZS_BJZS = "5" ; 	//报警舍
	public static final String SSQY_QB = "1" ;		//所属区域_全部
	public static final String MCZS_Q = "4";		//牧场猪舍 区
	public static final String MCZS_QK = "3"; 		//牧场区域 全控

	// 输入器输入值
	public static final String SRQ_ZXG = "/";		// 查询全部信息
	public static final String SRQ_PYM = "1";		// 拼音码
	public static final String SRQ_WBM = "2";		// 五笔码
	
	/** 公用代码 start **/
	public static final String CODE_ZW = "职务";
	public static final String CODE_DQMS = "当前模式";
	public static final String CODE_DWXB = "动物性别";
	public static final String CODE_DWZT = "动物状态";
	public static final String CODE_DWPZ = "动物品种";
	public static final String CODE_DWQX = "动物去向";
	public static final String CODE_BZZZY = "标识左中右";
	public static final String CODE_QHLX = "区划类型";
	public static final String CODE_BZSF = "标识是否";
	public static final String CODE_LRBJSMS = "料肉比计算模式";
	public static final String CODE_TXFS = "挑选方式";
	public static final String CODE_CLMS = "出栏模式";
	public static final String CODE_XXLX = "消息类型";
	public static final String CODE_SLBZ = "上料标识";
	public static final String CODE_SFKQYCZD = "是否开启远程诊断";
	public static final String CODE_ZDDZ = "诊断动作";
	public static final String CODE_YMZL = "疫苗种类";
	public static final String CODE_JBZL = "疾病种类";
	public static final String CODE_YPZL = "药品种类";
	public static final String CODE_QY = "区域";
	public static final String CODE_BZKG = "标识开关";
	public static final String CODE_BZGZ = "标识故障";
	public static final String CODE_HKSB = "环控设备";
	public static final String CODE_GZLX = "故障类型";
	public static final String CODE_GZJB = "故障级别";
	public static final String CODE_GZXW = "故障行为";
	public static final String CODE_FLZGZLX = "分栏站故障类型";
	public static final String CODE_FLZGZBZ = "分栏站故障备注";
	public static final String CODE_SJLR_SL = "数据录入_舍栏";
	public static final String CODE_SJLR_DQZT = "数据录入_当前状态";
	public static final String CODE_SJLR_ZZPZ = "数据录入_猪只品种";
	public static final String CODE_SFHG = "是否合格";
	public static final String CODE_ZCYC = "正常异常";
	public static final String CODE_SJLR_PZSM = "数据录入_配种说明";
	public static final String CODE_SJLR_RSJG = "数据录入_妊娠结果";
	public static final String CODE_SJLR_FMZT = "数据录入_分娩状态";
	public static final String CODE_SJLR_ZZZQLC = "数据录入_种猪转群流程";
	public static final String CODE_SJLR_FZZQLC = "数据录入_肥猪转群流程";
	public static final String CODE_SJLR_ZZLX = "数据录入_猪只类型";
	public static final String CODE_SJLR_SWLX = "数据录入_死亡类型";
	public static final String CODE_SJLR_TTLX = "数据录入_淘汰类型";
	public static final String CODE_SJLR_TTFS = "数据录入_淘汰方式";
	public static final String CODE_SJLR_YMMC = "数据录入_疫苗名称";
	public static final String CODE_SJLR_SLPZ = "数据录入_饲料品种";
	public static final String CODE_SJLR_SLLX = "数据录入_销售类型";
	public static final String CODE_SJLR_ZZLY = "数据录入_猪只来源";
	public static final String CODE_SJLR_GZZT = "数据录入_公猪状态";
	public static final String CODE_SJLR_MZZT = "数据录入_母猪状态";
	public static final String CODE_SJLR_GZSXZT = "数据录入_公猪筛选状态";
	public static final String CODE_WHH_CLFS = "无害化_处理方式";
	public static final String CODE_WSCL_BJLX = "污水报警类型";
	public static final String CODE_SJLR_DN_DMID = "4";//断奶的代码ID
	
	public static final String CODE_SJLR_DQZT_HY = "2";	//数据录入_当前状态_怀孕
	public static final String CODE_SJLR_DQZT_BR = "3";	//数据录入_当前状态_哺乳
	public static final String CODE_SJLR_DQZT_KH = "5";	//数据录入_当前状态_空怀
	public static final String CODE_SJLR_DQZT_TT = "6";	//数据录入_当前状态_淘汰
	public static final String CODE_SJLR_DQZT_SW = "7";	//数据录入_当前状态_死亡
	public static final String CODE_SJLR_DQZT_YS = "10";//数据录入_当前状态_已售
	public static final String CODE_SJLR_DQZT_HB = "1";//数据录入_当前状态_后备
	public static final String CODE_SJLR_DQZT_QT = "11";//数据录入_当前状态_其他
	public static final String CODE_SJLR_DQZT_DN = "4";//数据录入_当前状态_断奶
	public static final String CODE_SJLR_DQZT_LC = "13";//数据录入_当前状态_流产
	public static final String CODE_SJLR_DQZT_FQ = "14";//数据录入_当前状态_返情
	public static final String CODE_SJLR_DQZT_ZC = "9";//数据录入_当前状态_在场
	
	public static final String CODE_SJLR_RSJG_HY = "2";	//数据录入_妊娠結果_怀孕
	public static final String CODE_SJLR_RSJG_KT = "5";	//数据录入_妊娠結果_空胎
	public static final String CODE_SJLR_RSJG_LC = "13";//数据录入_妊娠結果_流产
	public static final String CODE_SJLR_RSJG_FQ = "14";//数据录入_妊娠結果_返情
	
	
	
	public static final String SFHG_HG = "1";	//是否合格_合格
	//分娩
	/** 公用代码 end **/
	
	// 默认密码
	public static final String DEFAULT_YHMM = "123456";
	
	// 26色
	public static final String[] COLORS = {"f01818", "f04e18", "f08418", "f0ba18", "f0f018",
		"baf018", "84f018", "4ef018", "18f018", "18f04e", "18f084", "18f0ba", "18f0f0",
		"18baf0", "1884f0", "184ef0", "1818f0", "4e18f0", "8418f0", "ba18f0", "f018f0",
		"f018ba", "f01884", "f0184e", "2d527c", "a9b2cf", "FEA386", "29C6CD", "F6E4C4",
		"560764", "913175", "DD5B82", "FE9797", "616EEF", "09A8FA", "41C5D3", "D0F1CF",
		"F6378F", "FFDD00", "FF8FE5", "B31313", "B74242", "57D1C9", "442A9D"};
	
	public static final String[] TJTCOLORS = {"3a8ecf", "f6bd0f", "8bba00", "a9b2cf", "18f084", "f0184e", "18f018", "ba18f0", "2d527c", "184ef0"};
	
	//无耳标动物
	public static final String WEBDW = "000000000000000";
	
	// 区划类型
	public static final String QHLX_1 = "1";	// 省
	public static final String QHLX_2 = "2";	// 地市
	public static final String QHLX_3 = "3";	// 区县
	public static final String QHLX_4 = "4";	// 乡镇街道
	public static final String QHLX_5 = "5";	// 村居委会
	
	// 档案信息
	public static final String DEFAULT_YHID = "666666";	//默认用户ID
	public static final String LQJSBZ = "1";	// 栏期结束
	public static final String DQLQ = "1";		// 当前栏期
	public static final String BZSF_YES = "1";	// 标识是否:是
	public static final String BZSF_NO = "2";	// 标识是否:否
	public static long ZERO_L = 0L;	// 长整形数值0
	
	public static final String DQMS_CL = "3";		// 出栏模式
	public static final String CLZT_DOING = "2";	// 出栏：否
	
	// 牧场数据计算模式
	public static final String QCJSMS = "3"; //全程计算模式
	public static final String WJSMS = "2";	//每窝计算
	public static final String RJSMS = "1"; //周计算模式（其实是按一周计算）
	public static final String QBJSMS = "0"; //显示全部曲线，包括全程和周
	
	// apk存储路径
	public static final String UPLOAD_PATH_APK = "download";
	
	// 系统参数
	public static final String XTCS_DA_ZDLQS = "档案_最大栏期数";
	public static final String XTCS_XT_YM = "系统_域名";
	public static final String XTCS_XT_SFHQYHXX = "系统_是否获取用户信息";
	public static final String XTCS_SJ_ZSJTJSJJG = "数据_周数据统计时间间隔";
	public static final String XTCS_SJ_TJTQCXXSTS = "数据_统计图全程线显示天数";
	public static final String XTCS_XT_SFDYWSRZ = "系统_是否打印WS日志";
	public static final String XTCS_XXTS_SFXSSBGZXX = "消息推送_是否显示设备故障消息";
	
	public static final String TIME_FORMAT0 = "MM/dd";
	public static final String TIME_FORMAT = "yyyy-MM-dd";
	public static final String TIME_FORMAT1 = "yyyy-MM-dd HH:mm:ss";
	public static final String TIME_FORMAT2 = " 00:00:00";
	public static final String TIME_FORMAT3 = " 23:59:59";
	public static final String TIME_FORMAT4 = "yyyy-MM-dd 00:00:00";
	public static final String TIME_FORMAT5 = "MM-dd HH:mm";
	public static final String TIME_FORMAT6 = "HH:mm";
	public static final String TIME_FORMAT7 = "yy/MM/dd";
	public static final String TIME_FORMAT8 = "0000-00-00";
	public static final String TIME_FORMAT9 = "HH:mm:ss";
	public static final String TIME_FORMAT10 = "yyyy";
	public static final String TIME_FORMAT11 = "yyyyMMddHHmmss";
	public static final String TIME_FORMAT12 = "MMddHHmmss";
	public static final String TIME_FORMAT13 = "yyyyMMdd";
	public static final String TIME_FORMAT14 = "MM.dd HH:mm";
	public static final String TIME_FORMAT15 = "yyyy/MM/dd HH:mm:ss";
	public static final String TIME_FORMAT16 = "yyyy-MM-dd HH:00:00";
	public static final String TIME_FORMAT17 = " 23:00:00";
	public static final String YY = "20";
	
	public static final String FWFS_LLQ = "浏览器";
	public static final String FWFS_APP = "APP";
	
	public static final String DLFS_ZH = "帐号登录";
	public static final String DLFS_FK = "访客登录";
	
	public static final String SBLX_PC = "电脑";
	public static final String SBLX_SJ = "手机";
	public static final String SBLX_PBDN = "平板电脑";
	
	public static final String ADMIN_GH = "10000";
	public static final String GUEST_GH = "h000";
	public static final String GUEST_MCID = "5"; // 嵊州
	public static final String GUEST_YHMC = "guest"; // 嵊州
	public static final String GUEST_STR = "********";
	public static final int ADMIN_QYID = 0;
	public static final int ADMIN_MCID = 0;
	
	/** 消息报警的级别 **/
	public static final String XXTZ_XXBZ_1 = "1"; //一般
	public static final String XXTZ_XXBZ_2 = "2"; //警告
	public static final String XXTZ_XXBZ_3 = "3"; //严重
	
	/** 消息修复状态**/
	public static final String XXTZ_XFZT_1 = "1"; //未修复
	public static final String XXTZ_XFZT_2 = "2"; //已修复
	
	/** 消息处理状态**/
	public static final String XXTZ_CLZT_1 = "1"; //未处理
	public static final String XXTZ_CLZT_2 = "2"; //处理中
	public static final String XXTZ_CLZT_3 = "3"; //已处理
	
	/** 操作日志类型 **/
	public static final String CZRZ_CSQ = "CZRZ_CSQ"; //操作日志-采食区
	public static final String CZRZ_TZBG = "CZRZ_TZBG"; //操作日志-挑选体重变更
	public static final String CZRZ_TSBG = "CZRZ_TSBG"; //操作日志-当前在栏头数变更
	public static final String CZRZ_FLLJZ = "CZRZ_FLLJZ"; //操作日志-分栏临界值
	
	/** 智能舍标识 **/
	public static final String DA_ZSBZ_ZNS = "1";	//智能舍
	public static final String DA_ZSBZ_FZNS = "2";	//非智能舍 
	public static final String DA_ZSBZ_QKS = "3";	//全控舍
	public static final String DA_ZSBZ_QY = "4";	//区域
	
	public static final String XX_XXTS_QTTZ = "QTTZ"; //群体体重
	public static final String XX_XXTS_TZBH = "TZBH"; //体重变化
	public static final String XX_XXTS_TZBHQS = "TZBHQS"; //体重变化趋势
	public static final String XX_XXTS_CLTZ = "CLTZ"; //出栏体重
	public static final String XX_XXTS_QTRPJFW = "QTRPJFW"; //群体日平均访问
	public static final String XX_XXTS_QTRPJFWBH = "QTRPJFWBH"; //群体日平均访问变化
	public static final String XX_XXTS_SFW = "SFW"; //时访问
	public static final String XX_XXTS_QCLRB = "QCLRB"; //全程料肉比
	public static final String XX_XXTS_QCLRBBH = "QCLRBBH"; //全程料肉比变化
	public static final String XX_XXTS_RSL = "RSL"; //日饲料
	public static final String XX_XXTS_RSLBH = "RSLBH"; //日饲料变化
	public static final String XX_XXTS_SWD = "SWD"; //时温度
	public static final String XX_XXTS_WLGZ = "WLGZ"; //网络故障
	public static final String XX_XXTS_GZH = "GZH"; //故障号
	public static final String XX_XXTS_SJH = "SJH"; //事件号
	public static final String XX_XXTS_AIFM = "AIFM"; //系统升级公告
	public static final String XX_XXTS_BJQ = "BJQ"; //系统升级公告
	
	public static final int XXTS_TSBZ_WTS = 1; //未推送
	public static final int XXTS_TSBZ_YTS = 2; //已推送
	public static final int XXTS_TSBZ_TSSB = 3; //推送失败
	/**
	 * 消息分类
	 */
	public static final String XXTS_XXFL_SBXX = "1"; //设备消息
	public static final String XXTS_XXFL_SCXX = "2"; //生产消息
	public static final String XXTS_XXFL_TGXX = "3"; //通告消息
	/** 微信消息模板类型 start **/
	public static final String WX_XXLX_GZTBTZ = "LKfRBdU46ZeaV88M5cToodIovInqCCuKoGeFzNLfo4g"; // 故障通报通知
	public static final String WX_XXLX_GJTZ = "LBevBuMSE6SQJ3NgxokePSZtdy-S81DqRNE-GscoTVo"; // 告警通知
	public static final String WX_XXLX_FWZTTX = "5Q3YqzkPcLjvryMAJMX-p9CtiTN1ouj6auidIad1MEU"; // 服务状态提醒
	/** 微信消息模板类型 end **/
	
	/** 微信绑定标识 **/
	public static final int WX_WBD = 0;		// 未绑定
	public static final int WX_SQBD = 1;	// 申请绑定
	public static final int WX_JJBD = 2;	// 拒绝绑定
	public static final int WX_YBD = 3;		// 已绑定
	
	/**
	 * 温度分布颜色（由冷到暖排列）
	 */
	public static final String[] WD_CLOLRS = {
		"004AFF", "0080FF", "00C0FF", "00FFFF", "00FFC0",
		"00FF80", "00FF4A", "00FF00", "4AFF00", "80FF00",
		"C0FF00", "FFFF00", "FFC000", "FF8000", "FF4A00"
	};
	// WD_MAX - WD_MIN = 4.2
	public static final double WD_STEP = 0.3;	// 温度间隔
	public static final double WD_MIN = 37.0;	// 定义猪的最低体温
	public static final double WD_MAX = 41.2;	// 定义猪的最高体温
	
	
	/** 统计图耳标标识 **/
	public static final String YWEB_W = "0";	// 无耳标
	public static final String YWEB_Y = "1"; 	// 有耳标
	public static final String YWEB_JRMS = "2"; // 兼容模式
	
	public static final int XFZT_XF = 1;		// 下发
	public static final int XFZT_BXF = 0;		// 不下发
	
	public static final int DWQX_ZL = 1;		// 在栏
	public static final int DWQX_MC = 2;		// 卖出
	public static final int DWQX_CLZ = 6;		// 出栏中
	
	public static final int MIN_FWS = 0;  //最小访问数
	
	/** 个推 **/
	public static final String GT_ALIAS = "HUIMV";
	public static final String RESULT_OK = "ok";
	public static final int[] tsfs = {0, 1, 2}; //推送方式 0-单用户 1-别名 2-标签
	public static final String SUCCESSED_ONLINE = "successed_online";
	public static final String SUCCESSED_OFFLINE = "successed_offline";
	
	public static final String APP_LOGIN = "1";
	public static final String PHONE_LOGIN = "2";
	public static final String HKCLIENT_LOGIN = "3";
	public static final String WX_LOGIN = "4";
	public static final String HAIFMP_LOGIN = "5";
	
	/** 环控上传设备来源 **/
	public static final int SBLY_WEB = 1;
	public static final int SBLY_JQ = 2;
	public static final int SBLY_YA = 3;//来自来源
	/** 配置是否开启 **/
	public static final int SFKQ_YES = 2;		//开启
	public static final int SFKQ_NO = 1;		//不开启
	
	/** 猪舍标志 **/
	public static final String HKBZ_ZNHK = "1";	//智能环控
	public static final String HKBZ_PTHK = "2";	//普通环控
	public static final String LCBZ_JLLC = "1";	//计量料槽
	public static final String LCBZ_PTLC = "2";	//普通料槽
	
	/** 网络标识 **/
	public static final String WLZT_ZC = "1";	//网络正常
	public static final String WLZT_YC = "0";	//网络异常
	
	public static final String LSJL_DLFS_EJCS = "ejcs";	//E家菜蔬
	
	
	public static final int DLLX_KDMC = 1;	//登录类型-口袋牧场
	public static final int DLLX_HTHK = 3;	//登录类型-华腾环控
	
	public static final String DQMS_SYYQ = "1";	//适应一期
	public static final String DQMS_SYEQ = "2";	//适应二期
	public static final String DQMS_ZCQ = "3";	//注册去
	public static final String DQMS_TXMS = "4";	//分栏模式
	public static final String DQMS_CLMS = "5";	//出栏模式
	
	public static final String XZRY_TYPE_YDL = "1";	//运动量
	public static final String XZRY_TYPE_CSL = "2";	//采食量
	public static final String XZRY_TYPE_TZ = "3";	//体重
	public static final String XZRY_TYPE_TW = "4";	//体温
	
	/***** socket数据上传 start *****/
	public static final String SOCKET_SJSC_START = "hm";	//socket数据上传命令头
	public static final String SOCKET_SJSC_END = "end";		//socket数据上传命令尾
	public static final String SOCKET_SJSC_CMD_1 = "1";		//时间同步
	public static final String SOCKET_SJSC_CMD_2 = "2";		//料槽数据上传
	public static final String SOCKET_SJSC_CMD_3 = "3";		//短信发送
	public static final String SOCKET_SJSC_CMD_4 = "4";		//声光报警短信发送
	public static final String SOCKET_SJSC_CMD_5 = "5";		//报警器短信发送
	public static final String SOCKET_SJSC_CMD_6 = "6";		//温度上传
	
	public static final String SOCKET_SJSC_CMD_7 = "7";		//温度上传2
	public static final String SOCKET_SJSC_CMD_8 = "8";		//湿度上传
	public static final String SOCKET_SJSC_CMD_9 = "9";		//氨气上传
	public static final String SOCKET_SJSC_CMD_10 = "10";	//风机配置同步
	public static final String SOCKET_SJSC_CMD_11 = "11";	//蓝牙修改风机配置同步
	public static final String SOCKET_SJSC_CMD_12 = "12";	//平台修改风机配置同步
	public static final String SOCKET_SJSC_CMD_14 = "14";	//报警使能
	public static final String SOCKET_SJSC_CMD_15 = "15";	//短信发送2
	public static final String SOCKET_SJSC_CMD_16 = "16";	//声光报警短信发送2
	public static final String SOCKET_SJSC_CMD_17 = "17";	//报警器打电话2
	public static final String SOCKET_SJSC_CMD_18 = "18";	//高温，低温报警参数
	public static final String SOCKET_SJSC_CMD_19 = "19";	//平台消息推送
	public static final String SOCKET_SJSC_CMD_20 = "20";	//电压上传
	public static final String SOCKET_SJSC_CMD_21 = "21";	//地暖上传
	public static final String SOCKET_SJSC_CMD_22 = "22";	//远程JQID获取
	public static final String SOCKET_SJSC_CMD_30 = "30";	//加热器下发
	public static final String SOCKET_SJSC_CMD_23 = "23";	//云端接入氨气上传
	public static final String SOCKET_SJSC_CMD_24 = "24";	//PH上传
	public static final String SOCKET_SJSC_CMD_25 = "25";	//水压上传
	public static final String SOCKET_SJSC_CMD_26 = "26";	//氧气上传
	public static final String SOCKET_SJSC_CMD_27 = "27";	//二氧化碳上传
	public static final String SOCKET_SJSC_CMD_28 = "28";	//硫化氢上传
	
	public static final String SOCKET_SJSC_CMD_40 = "40";	//采食计量上传记录
	public static final String SOCKET_SJSC_CMD_41 = "41";	//同步校准砝码重量及允许校准误差
	public static final String SOCKET_SJSC_CMD_42 = "42";	//获取运行参数
	public static final String SOCKET_SJSC_CMD_44 = "44";	//上传设备状态
	public static final String SOCKET_SJSC_CMD_45 = "45";	//下发下料重量
	//2017-9-19
	public static final String SOCKET_SJSC_CMD_46 = "46";	//室外温度
	public static final String SOCKET_SJSC_CMD_47 = "47";	//室外湿度
	
	public static final String SOCKET_SJSC_CMD_60 = "60";	//上料
	public static final String SOCKET_SJSC_CMD_61 = "61";	//耗水
	public static final String SOCKET_SJSC_CMD_62 = "62";	//耗电
	
	public static final String SOCKET_SJSC_CMD_70 = "70";	//液位数据上传
	public static final String SOCKET_SJSC_CMD_71 = "71";	//同步液位阈值
	public static final String SOCKET_SJSC_CMD_72 = "72";	//上传驱动板状态
	
	public static final String SOCKET_SJSC_CMD_64 = "64";	//移动版版本信息上传 （不做业务处理）
	
	public static final String SOCKET_SJSC_CMD_80 = "80";	//喷雾除臭
	public static final String SOCKET_SJSC_CMD_81 = "81";	//同步关闭延时参数
	public static final String SOCKET_SJSC_CMD_82 = "82";	//料控
	public static final String SOCKET_SJSC_CMD_83 = "83";	//上报打料失败事件

	public static final String SOCKET_SJSC_CMD_90 = "90";	//同步料线定时配置
	public static final String SOCKET_SJSC_CMD_91 = "91";	//料线远程控制
	public static final String SOCKET_SJSC_CMD_92 = "92";	//同步灯光控制定时配置
	public static final String SOCKET_SJSC_CMD_93 = "93";	//灯光远程控制
	
	public static final String SOCKET_SJSC_CMD_94 = "94";	//获取设备模块信息
	
	public static final String SOCKET_SJSC_CMD_200 = "200";	//上报电推杆设备状态
	public static final String SOCKET_SJSC_CMD_201 = "201";	//同步电推杆配置
	
	public static final String SOCKET_SJSC_GZBZ_0 = "0";	//正常
	public static final String SOCKET_SJSC_GZBZ_1 = "1";	//校验失败
	public static final String SOCKET_SJSC_GZBZ_2 = "2";	//平台数据异常
	
	public static final String SOCKET_SJSC_DBJG_1 = "1";	//不需要同步
	public static final String SOCKET_SJSC_DBJG_2 = "2";	//设备内的配置为最新
	public static final String SOCKET_SJSC_DBJG_3 = "3";	//平台的配置为最新的
	
	public static final String SOCKET_SJSC_TLGTB_0 = "0";	//不需要同步
	public static final String SOCKET_SJSC_TLGTB_1 = "1";	//需要同步
	
	
	public static final String[] SOCKET_SJSC_GZLX = {"初始化", "断电报警", "风机报警", "高温报警", "温度传感器故障", "湿度传感器故障", 
											"氨气传感器故障", "PH传感器故障", "水压传感器故障", "低温报警", "温差过大报警", "高湿报警",
											"高氨报警", "断网报警", "称重故障", "入口门故障", "旋转门故障", "分离门故障",
											"动物长时间不离开", "光电传感器故障", "配置异常", "上传故障", "", "电流检测传感器故障",
											"上挡板故障", "下挡板故障", "称重故障", "自动校准故障", "喷雾除臭通信故障", "",};
	public static final String SOCKET_SJSC_DZLX_1 = "1";	//动作报警
	public static final String SOCKET_SJSC_DZLX_2 = "2";	//动作恢复
	
	public static final String SOCKET_SJSC_URLENCODE_1 = "<";		//<%3C
	public static final String SOCKET_SJSC_URLENCODE_2 = ">";		//%3e
	public static final String SOCKET_SJSC_URLENCODE_3 = "";		//空格+
	
	public static final String SJLR_MYLX_PTMY = "0";	//普通免疫
	public static final String SJLR_MYLX_ZZMY = "1";	//种猪免疫
	public static final String SJLR_MYLX_FZMY = "2";	//肥猪免疫
	
	public static final String[] SJRL_XS_KEMC = {"张三","李四","王五"};
	/***** socket数据上传 end *****/
	public static final String HAIFMP_SEARCH_FLAG_RFID = "0";//页面收索条件：耳标
	public static final String HAIFMP_SEARCH_FLAG_DATE = "1";//页面收索条件：日期

	public static final String CLIENT_ID = "64a3472a-5fc1-4cad-a29a-ec7f797b4d0e";
	public static final String CLIENT_SECRET = "f4c19c58-4a2f-4e5d-9834-2d7cca6288ee";
	
	public static final String WHH_STBZ_WTJ = "0";  //无害化_死淘标志_未处理提交
	public static final String WHH_STBZ_YTJ = "1";	//无害化_死淘标志_已处理提交
	
	public static final int WHH_SHBZ_WSH = 0;//无害化_审核标志_未审核
	public static final int WHH_SHBZ_TG = 1;//无害化_审核标志_审核通过
	public static final int WHH_SHBZ_WTG = 2;//无害化_审核标志_审核未通过
	
	public static final int WHH_ERROR_CODE_1 = 1;//成功
	public static final int WHH_ERROR_CODE_2 = 2;//数据接收错误 请联系开发人员-1
	public static final int WHH_ERROR_CODE_3 = 3;//数据接收错误 请联系开发人员-0
	public static final int WHH_ERROR_CODE_4 = 4;//没有牧场ID 请联系管理员;
	
	//服务器地址
	/*public static final String URL_LOCALHOST = "http://192.168.1.137:8084/ifm/";*/
	public static final String URL_LOCALHOST = "http://localhost:8080/ifm/";
	//public static final String URL_LOCALHOST = "http://192.168.1.116:8082/ifm/";
	//public static final String URL_LOCALHOST = "http://122.112.219.87/ifm/";
	
	
	
	//文件上传默认临时目录
	public static final String URL_UPLOAD_PIC = "whhImg/";
	public static final String URL_UPLOAD_VIDEO = "whhVideo/";
	
	//文件上传默认临时目录
	public static final String URL_UPLOAD_TEMP = "upload/temp/";
	public static final int Whh_CLBZ_YCL = 1;//无害化已经处理
	public static final int Whh_CLBZ_WCL = 2;//无害化没有处理
	public static final int WHH_SELECT_ONCE = 8;
	
	public static final String WHH_FROM_SQ = "0"; //无害化申请
	public static final String WHH_FROM_SH = "1"; //无害化审核
	public static final String WHH_FROM_CL = "2"; //无害化处理
	
	public static final String WHH_TYPE_DSH = "0";//无害化小标签状态 _待审核
	public static final String WHH_TYPE_YSH = "1";//无害化小标签状态 _已审核
	public static final String WHH_TYPE_YCL = "3";//无害化小标签状态 _已处理
	public static final String WHH_TYPE_YBH = "2";//无害化小标签状态 _已驳回
	
	public static final int WHH_LIMIT = 15;//一次查询几条
	public static final String WHH_CLFS = "无害化_处理方式";
	
	
	/** 数据获取上传链接 start **/
	public static final int POST_HKSJ_LIMIT = 1000;						//每次获取条目
	public static final String POST_RESULTCODE_SUCCESS = "0";			//返回成功
	public static final String POST_RESULTCODE_ERRPARAM = "1";			//参数缺失
	public static final String POST_RESULTCODE_ERRUSER = "2";			//账号错误
	public static final String POST_RESULTCODE_ERRCONTENT = "3";		//信息错误
	public static final String POST_RESULTCODE_NODATA = "4";			//无数据
	
	public static final String POST_HKSJ_ZSLB = "zslb.htm";				//获取猪舍列表
	public static final String POST_HKSJ_HKSJ = "hksj.htm";				//猪舍传感器数据获取
	public static final String POST_HKSJ_BJXX = "bjxx.htm";				//报警信息查询
	public static final String POST_HKSJ_BJSNGET = "bjsnget.htm";		//获取报警使能信息
	public static final String POST_HKSJ_BJSNSET = "bjsnset.htm";		//报警使能设置
	public static final String POST_HKSJ_BJCSGET = "bjcsget.htm";		//获取报警参数
	public static final String POST_HKSJ_BJCSSET = "bjcsset.htm";		//报警参数设置
	public static final String POST_HKSJ_BJHMGET = "bjhmget.htm";		//获取报警联系号码参数
	public static final String POST_HKSJ_BJHMSET = "bjhmset.htm";		//报警联系人号码参数设置
	public static final String POST_HKSJ_SBYXCSGET = "sbyxcsget.htm";	//获取风机运行参数
	public static final String POST_HKSJ_SBYXCSSET = "sbyxcsset.htm";	//风机运行参数设置
	public static final String POST_HKSJ_SBYXZTGET = "sbyxztget.htm";	//获取设备运行状态
	/** 数据获取上传链接 end **/
	
	/** 污水处理功能码 start **/
	public static final int WSCL_GNM_1 = 1;						//心跳请求帧
	public static final int WSCL_GNM_2 = 2;						//实时数据帧
	public static final int WSCL_GNM_3 = 3;						//实时状态帧
	public static final int WSCL_GNM_4 = 4;						//远程控制回应帧
	public static final int WSCL_GNM_5 = 5;						//AGPS 定位帧
	public static final int WSCL_GNM_81 = 81;					//心跳回应帧
	public static final int WSCL_GNM_82 = 82;					//同步时间帧
	public static final int WSCL_GNM_83 = 83;					//远程控制请求帧
	public static final int WSCL_GNM_84 = 84;					//触发级数据启停控制帧
	public static final int WSCL_GNM_85 = 85;					//同步点表帧
	/** 污水处理功能码 end **/
	
	public static final String WSCL_GZLX = "污水故障类型";
	
	//远程控制临时目录
	public static final String URL_UPLOAD_YCKZ = "upload/yckzText/";
	
	public static final String HHF = "\r\n";
	
	//污水处理时时状态
	public static final String WSCL_SSZT_GB_LX_TZ = "1";			//污水处理——关闭、离线、停止
	public static final String WSCL_SSZT_ZX_YX_ZC_DK = "0" ;			//污水处理——在线、运行、正常、打开
	public static final String WSCL_SSZT_GZ = "2";			//污水处理——故障
	public static final String WSCL_SSZT_GD = "3";			//污水处理——过低
	public static final String WSCL_SSZT_GG = "4";			//污水处理——过高
	public static final String WSCL_SSZT_SFX = "5";			//污水处理——上反洗
	public static final String WSCL_SSZT_XFX = "6";			//污水处理——下反洗
	public static final String WSCL_SSZT_ZX = "7";			//污水处理——正洗
	public static final String WSCL_SSZT_FX = "8";			//污水处理——反洗
	public static final String WSCL_SSZT_DJ = "9";			//污水处理——待机
	public static final String WSCL_SSZT_KJCX = "10";			//污水处理——开机冲洗
	public static final String WSCL_SSZT_GJCX = "11";			//污水处理——关机冲洗
	public static final String WSCL_SSZT_YC = "12";			//污水处理——异常
	public static final String WSCL_SSZT_BQD = "13";			//污水处理——不确定
}
