package com.huimv.management.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.PageUtils;
import com.huimv.management.entity.EartagDataEntity;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-21 10:00:18
 */
public interface EartagDataService extends IService<EartagDataEntity> {

    PageUtils queryPage(Map<String, Object> params);

    Map queryPageBytimeAndEartag(Map<String, Object> params) throws ParseException;

    Map getTemperatureCurve(Map<String, Object> params);

    List<Map<String,String>> querySleepTimeBytimeAndEartag(Map<String, Object> params) throws ParseException;
}

